---

- name: "Check if default system exists"
  command: "docker exec cobbler cobbler system find --name=default"
  register: system_state
  changed_when: False

- name: "Add the default system"
  command: "docker exec cobbler cobbler system add
    --name=default
    --profile=operator
    --netboot-enabled=1"
  when: system_state.stdout == ""
